package de.sus;

import de.sus.world.*;


/**
 * Class for storing and executing tests
 * @author Michael Rodin
 * @version 2025-06-10
 */
class Tests {
    /**
     * Tests for various parts
     * @author Michael Rodin
     * @param test a selector for the test to run, will execute everything if null
     */
    public static void tests(String test) {
        switch (test) {
            case null:
            case "resource_values": // Prints out all values from Resource enum
                for (Resource i: Resource.values()) {
                    System.out.println(i);
                }
            
            case "boardfields_count":
                Board board = new Board(5);
                for (Field[] i: board.getFields()) {
                    System.out.println(i.length);
                }

            default:
                break;
        }
    }

}